{ pkgs, ... }:
{
	networking.wireless.iwd.enable = true;
	systemd.network.networks.wifi = {
		matchConfig.Name = "wlan0";
		DHCP = "ipv4";
		networkConfig = {
			IPv6AcceptRA = true;
			IPv6PrivacyExtensions = true;
		};
	};
	systemd.network.networks.eth = {
		matchConfig.Name = "enp*";
		DHCP = "ipv4";
		networkConfig = {
			IPv6AcceptRA = true;
			IPv6PrivacyExtensions = true;
		};
	};

	sound.enable = true;

	environment.systemPackages = with pkgs; [
		iw
	];

	# smartcard
	services.pcscd.enable = true;
}
